require "refile/nobrainer"

module Nukleus
    class Document
        include NoBrainer::Document
        include NoBrainer::Document::Timestamps
        extend Refile::NoBrainer::Attachment

        field       :document_id,                 :type => String, :required => true, :unique => true, :index => true
        attachment  :document_file
        field       :document_file_filename,      :type => String
        field       :document_file_size,          :type => Integer
        field       :document_file_content_type,  :type => String

        field       :tags,                        :type => Array
        field       :meta_data,                   :type => Hash
        field       :error_count,                 :type => Integer, :default => 0
        field       :error_message,               :type => String, :default => ""
    end
end
